
Infrastructure - Task #7275

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Restrictions on MN.update

2015-07-27 21:54 - Jing Tao

Status: Closed Start date: 2015-07-27

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

MN. updateSystem can be called in those two scenarios:

1. A cn subject can call it at any nodes.

1. Another clients can call it only at the authoritative node of the object.

History

#1 - 2015-07-27 22:22 - Jing Tao

- Subject changed from Restrictions on MN.updateSystemmetadata to Restrictions on MN.update

#2 - 2015-07-27 23:38 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

I applied those rules to both the mn.update and mn.updateSystemMetadata.

#3 - 2015-07-28 21:27 - Jing Tao

- Parent task set to #6498

- Assignee set to Jing Tao

#4 - 2015-07-28 21:28 - Jing Tao

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 30 to 100

In the standup meeting, we all agree to the restrictions. So close the task.
